#include <stdio.h>

/*
 * beliebig viele Argumente in Makros nun mit "...";
 * __VA_ARGS__ fuegt dann die Argumente (durch Komma getrennt)
 * ein
*/
#define DEBUG(...)	fprintf(stderr, __VA_ARGS__);
#define QUOTE(...)	puts(#__VA_ARGS__);
#define TEST(cond, ...)	if (!(cond)) \
			    DEBUG(__VA_ARGS__)

int main() {
    int x = 3;
    DEBUG("x = %d\n", x)
    QUOTE(x < 2, x > 0, x)
    TEST(x == 0, "failed: x = %d\n", x)
    return 0;
}
